/*
 * Theme Buttons and Forms
 * ======================================================== */

/*
 * Depricated ??

.button.button-primary,
button.button-primary,
input[type="submit"].button-primary,
input[type="reset"].button-primary,
input[type="button"].button-primary {
	color: var(--primary-button-text-color);;
	background-color: var(--primary-button-bg-color);
	border-color: var(--primary-button-bg-color);
	border-radius: 25px;
	height: 50px;
	padding: 0 40px;
	font-size: 15px;
	line-height: 50px;
	letter-spacing: .1rem;
	text-transform: none;
	transition: all 250ms ease-in-out;
}
.button.button-primary:hover,
button.button-primary:hover,
input[type="submit"].button-primary:hover,
input[type="reset"].button-primary:hover,
input[type="button"].button-primary:hover,
.button.button-primary:focus,
button.button-primary:focus,
input[type="submit"].button-primary:focus,
input[type="reset"].button-primary:focus,
input[type="button"].button-primary:focus {
	color: var(--primary-button-text-color-hover);
	background-color: var(--primary-button-bg-color-hover);
	border-color: var(--primary-button-bg-color-hover);
}

*/


button#accept-cookie {
	border-radius: 25px;
}



/*
 * Buttons and forms
 * ======================================================== */
/* override z-skeleton */
input, textarea, select, fieldset {
	margin-bottom: 0;
    -webkit-appearance: none;
}
select {
	padding-right: 40px;
}

.button.button-primary,
button.button-primary,
input[type="submit"].button-primary,
input[type="reset"].button-primary,
input[type="button"].button-primary,
.button.button-secondary,
button.button-secondary,
input[type="submit"].button-secondary,
input[type="reset"].button-secondary,
input[type="button"].button-secondary,
.button.button-secondary-dark,
button.button-secondary-dark,
input[type="submit"].button-secondary-dark,
input[type="reset"].button-secondary-dark,
input[type="button"].button-secondary-dark,
.button.button-white,
button.button-white,
input[type="submit"].button-white,
input[type="reset"].button-white,
input[type="button"].button-white {
	color: var(--primary-button-text-color-hover);;
	background-color: var(--primary-button-bg-color);
	border-color: var(--primary-button-bg-color);
	border-radius: 25px;
	height: 46px;
	padding: 0 50px;
	font-size: 12px;
	line-height: 46px;
	letter-spacing: .2rem;
	text-transform: uppercase;
	min-width: 260px;
	border-width: 1px;
	transition: all 250ms ease-in-out;
}
.button.button-primary:hover,
button.button-primary:hover,
input[type="submit"].button-primary:hover,
input[type="reset"].button-primary:hover,
input[type="button"].button-primary:hover,
.button.button-primary:focus,
button.button-primary:focus,
input[type="submit"].button-primary:focus,
input[type="reset"].button-primary:focus,
input[type="button"].button-primary:focus {
	color: var(--primary-button-text-color-hover);
	background-color: var(--primary-button-bg-color-hover);
	border-color: var(--primary-button-bg-color-hover);
}
.button.button-secondary,
button.button-secondary,
input[type="submit"].button-secondary,
input[type="reset"].button-secondary,
input[type="button"].button-secondary {
	color: var(--secondary-button-text-color);
	background-color: var(--secondary-button-bg-color);
	border-color: var(--secondary-button-bg-color);	
}
.button.button-secondary:hover,
button.button-secondary:hover,
input[type="submit"].button-secondary:hover,
input[type="reset"].button-secondary:hover,
input[type="button"].button-secondary:hover,
.button.button-secondary:focus,
button.button-secondary:focus,
input[type="submit"].button-secondary:focus,
input[type="reset"].button-secondary:focus,
input[type="button"].button-secondary:focus {
	color: var(--secondary-button-text-color-hover);
	background-color: var(--secondary-button-bg-color-hover);
	border-color: var(--secondary-button-bg-color-hover);
}
.button.button-secondary-dark,
button.button-secondary-dark,
input[type="submit"].button-secondary-dark,
input[type="reset"].button-secondary-dark,
input[type="button"].button-secondary-dark {
	color: var(--secondary-button-text-color-dark);
	background-color: var(--secondary-button-bg-color-dark);
	border-color: var(--secondary-button-bg-color-dark);	
}
.button.button-secondary-dark:hover,
button.button-secondary-dark:hover,
input[type="submit"].button-secondary-dark:hover,
input[type="reset"].button-secondary-dark:hover,
input[type="button"].button-secondary-dark:hover,
.button.button-secondary-dark:focus,
button.button-secondary-dark:focus,
input[type="submit"].button-secondary-dark:focus,
input[type="reset"].button-secondary-dark:focus,
input[type="button"].button-secondary-dark:focus {
	color: var(--secondary-button-text-color-dark-hover);
	background-color: var(--secondary-button-bg-color-dark-hover);
	border-color: var(--secondary-button-bg-color-dark-hover);
}



.button.button-primary.button-open,
button.button-primary.button-open,
input[type="submit"].button-primary.button-open,
input[type="reset"].button-primary.button-open,
input[type="button"].button-primary.button-open {
	color: var(--primary-button-bg-color);
	background-color: transparent;
	border-color: var(--primary-button-bg-color);
}
.button.button-primary.button-open:hover,
button.button-primary.button-open:hover,
input[type="submit"].button-primary.button-open:hover,
input[type="reset"].button-primary.button-open:hover,
input[type="button"].button-primary.button-open:hover,
.button.button-primary.button-open:focus,
button.button-primary.button-open:focus,
input[type="submit"].button-primary.button-open:focus,
input[type="reset"].button-primary.button-open:focus,
input[type="button"].button-primary.button-open:focus {
	color: var(--primary-button-bg-color-hover);
	background-color: transparent;
	border-color: var(--primary-button-bg-color-hover);
}
.button.button-secondary.button-open,
button.button-secondary.button-open,
input[type="submit"].button-secondary.button-open,
input[type="reset"].button-secondary.button-open,
input[type="button"].button-secondary.button-open {
	color: var(--secondary-button-bg-color);
	background-color: transparent;
	border-color: var(--secondary-button-bg-color);
}
.button.button-secondary.button-open:hover,
button.button-secondary.button-open:hover,
input[type="submit"].button-secondary.button-open:hover,
input[type="reset"].button-secondary.button-open:hover,
input[type="button"].button-secondary.button-open:hover,
.button.button-secondary.button-open:focus,
button.button-secondary.button-open:focus,
input[type="submit"].button-secondary.button-open:focus,
input[type="reset"].button-secondary.button-open:focus,
input[type="button"].button-secondary.button-open:focus {
	color: var(--secondary-button-bg-color-hover);
	background-color: transparent;
	border-color: var(--secondary-button-bg-color-hover);
}
.button.button-secondary-dark.button-open,
button.button-secondary-dark.button-open,
input[type="submit"].button-secondary-dark.button-open,
input[type="reset"].button-secondary-dark.button-open,
input[type="button"].button-secondary-dark.button-open {
	color: var(--secondary-button-bg-color-dark);
	background-color: transparent;
	border-color: var(--secondary-button-bg-color-dark);
}
.button.button-secondary-dark.button-open:hover,
button.button-secondary-dark.button-open:hover,
input[type="submit"].button-secondary-dark.button-open:hover,
input[type="reset"].button-secondary-dark.button-open:hover,
input[type="button"].button-secondary-dark.button-open:hover,
.button.button-secondary-dark.button-open:focus,
button.button-secondary-dark.button-open:focus,
input[type="submit"].button-secondary-dark.button-open:focus,
input[type="reset"].button-secondary-dark.button-open:focus,
input[type="button"].button-secondary-dark.button-open:focus {
	color: var(--secondary-button-bg-color-dark-hover);
	background-color: transparent;
	border-color: var(--secondary-button-bg-color-dark-hover);
}


.button.button-white.button-open,
button.button-white.button-open,
input[type="submit"].button-white.button-open,
input[type="reset"].button-white.button-open,
input[type="button"].button-white.button-open {
	color: #fff;
	background-color: rgba(255,255,255,0.15);
	border-color: #fff;
/*	text-shadow: 0 0 10px #000;*/
}
.button.button-white.button-open:hover,
button.button-white.button-open:hover,
input[type="submit"].button-white.button-open:hover,
input[type="reset"].button-white.button-open:hover,
input[type="button"].button-white.button-open:hover,
.button.button-white.button-open:focus,
button.button-white.button-open:focus,
input[type="submit"].button-white.button-open:focus,
input[type="reset"].button-white.button-open:focus,
input[type="button"].button-white.button-open:focus {
	color: var(--primary-button-bg-color);
	background-color: #fff;
	border-color: #fff;
	text-shadow: none;
}

.button.button-small,
button.button-small,
input[type="button"].button-small {
	height: 36px;
	padding: 0 24px;
	font-size: 12px;
	line-height: 36px;
	letter-spacing: .2rem;
	min-width: 60px;
}
.button.button-tiny,
button.button-tiny,
input[type="button"].button-tiny {
	line-height: 24px;
	height: 24px;
	font-size: 9px;
	padding: 0 20px;
	min-width: 1px;
	letter-spacing: 1.5px;
}
.button.button-large,
button.button-large,
input[type="button"].button-large {
	height: 70px;
	padding: 0 44px;
	font-size: 13px;
	line-height: 70px;
	border-radius: 35px;
	min-width: 380px;
	position: relative;
}
.button-large .button-big-title,
.button-large .button-sub-text {
	display: block;
	letter-spacing: 0.08rem;
	font-size: 21px;
	line-height: 21px;
	text-transform: none;
	font-weight: 500;
	text-align: left;
}
.button-large .button-sub-text {
	font-size: 14px;
	font-weight: 300;
}
.button-large > i {
	position: absolute;
	display: flex;
	justify-content: center;
	flex-direction: column;
	width: 20px;
	text-align: right;
	font-size: 30px;
	height: 100%;
	top: 0;
	right: 44px;
	opacity: 0.4;
}
.button-large:hover > i {
	opacity: 1;
}


.button:hover {
	text-decoration: none;
}


.button-load-more .text {
	display: inline;
}
.button-load-more .loading {
	display: none;
}
.button-load-more.loading .text {
	display: none;
}
.button-load-more.loading .loading {
	display: inline;
}








/*
 * Fluent Forms
 * ======================================================== */

body .fluentform .ff_upload_btn.ff-btn {
	background: var(--secondary-button-bg-color);
	color: var(--secondary-button-text-color);
	border-radius: 30px;
	font-size: 15px;
}
body .fluentform .ff_upload_btn.ff-btn:hover {
	background: var(--secondary-button-bg-color-hover);
	color: var(--secondary-button-text-color-hover);
}
body .fluentform .ff-el-input--label {
	margin-bottom: 10px;
	margin-top: 5px;
}
body .ff-message-success {
	border: 1px solid #36bc05;
	background: #36bc05;
	color: #fff;
}


.ff-el-input--content {
	position: relative;
}
.ff-el-input--content i.after-select {
	position: absolute;
	right: -14px;
	top: 10px;
	pointer-events: none;
}
.ff-custom_html.inter h2 {
	margin-bottom: 0;
	margin-top: 21px;
}
.signup-options {
	margin-top: 21px;	
}




label.label-light {
	display: inline-block;
	font-weight: 400;
}
select.filter-select {
	display: inline-block;
	width: auto;
	height: 38px;
	line-height: 36px;
}




.find-expert-link {
	display: inline-block;
	text-decoration: none;
	text-transform: uppercase;
	border-radius: 20px;
	height: 36px;
	padding: 0 24px;
	font-size: 12px;
	line-height: 38px;
	letter-spacing: .2rem;
	min-width: 60px;
	
	transition: all 250ms ease-in-out;
	background: var(--base-text-color);
	color: #fff;

	
	
}
button.button-small i,
.button.button-small i,
.find-expert-link i {
	margin-left: 14px;
	opacity: 0.6;
}
.find-expert-link:hover,
.find-expert-link:focus {
	text-decoration: none;
	background: var(--primary-color);
	color: #fff;
}


abbr.required {
	text-decoration: none;
	color: red;
	padding-left: 4px;
}

/*
 * Contact Form 7 overrides
 * ======================================================== *//*
input[type="email"],
input[type="number"],
input[type="search"],
input[type="text"],
input[type="tel"],
input[type="url"],
input[type="password"],
textarea,
select {
    width: 100%;
    margin-top: 0px;
    font-size: 14px;
	font-family: var(--primary-font), sans-serif;
}
textarea {
	min-height: 110px;
}



div.wpcf7-response-output {
    margin: 1em 0.5em 1em;
}
div.wpcf7-validation-errors,
div.wpcf7-acceptance-missing {
    border: 2px solid #f7e700;
	background-color: #f7e700;
	color: #000;
	font-size: 13px;
}
div.wpcf7-mail-sent-ng,
div.wpcf7-aborted {
	border: 2px solid #ff0000;
	background-color: #ff0000;
	color: #fff;
	font-size: 13px;
}

div.wpcf7-mail-sent-ok {
    border: 2px solid #398f14;
	background-color: #398f14;
	color: #fff;
	font-size: 13px;
}
span.wpcf7-not-valid-tip {
    color: #fff;
    font-size: 0.8em;
    font-weight: normal;
    display: block;
	background: #f00;
	padding: 1px 4px;
	margin-bottom: 3px;
	position: relative;
}
span.wpcf7-not-valid-tip:before {
    position: absolute;
    display: block;
	width: 0; 
	height: 0; 
	border-left: 5px solid transparent;
	border-right: 5px solid transparent;
	border-bottom: 5px solid #f00;
	content: "";
	top: -5px;
	left: 10px;
}
*/




